class Offer < ActiveRecord::Base
  acts_as_paranoid

  belongs_to :need


  validates :supplier, :presence => true, length: {within: 1..128}
  validates :price,
    :presence => true,
    numericality: {greater_than_or_equal_to: 0}
  validates :fee_percentage,
    :presence => true,
    numericality:  {:greater_than_or_equal_to => 0, :less_than_or_equal_to => 100}


end
